Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer
Interface AbstractSizedURL

All Superinterfaces:
  AbstractURL

All Known Subinterfaces:
  LegendURL, LogoURL

    public interface AbstractSizedURL

extends AbstractURL

Extends the `AbstractURL` by adding a width and height for the data retrievable from the linkage.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.3

Method Summary
`int` | `getHeight()` Provides the expected height of the response data.
`int` | `getWidth()` Provides the expected width of the response data.

Methods inherited from interface AbstractURL
`getFormat, getOnlineResource`

Method Detail

### getWidth

    int getWidth()

  Provides the expected width of the response data.

  Returns:
    the expected width.

### getHeight

    int getHeight()

  Provides the expected height of the response data.

  Returns:
    the expected height.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.